Package ru.bitel.bgbilling.modules.phone.server.bean

# Class Rule

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.Rule

public class Rule extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ANY_SOURCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getCategories()`
  `String`
  `getComment()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getId()`
  `int`
  `getNumber()`
  `List<String>`
  `getOutPorts()`
  `String`
  `getService()`
  `int`
  `getServiceId()`
  `String`
  `getSource()`
  `int`
  `getSourceId()`
  `String`
  `getToNumber()`
  `String`
  `getToNumber164()`
  `void`
  `setCategories(List<Integer> categories)`
  `void`
  `setComment(String comment)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setId(int id)`
  `void`
  `setNumber(int number)`
  `void`
  `setOutPorts(List<String> outPorts)`
  `void`
  `setService(String service)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setSource(String source)`
  `void`
  `setSourceId(int sourceId)`
  `void`
  `setToNumber(String toNumber)`
  `void`
  `setToNumber164(String toNumber164)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANY_SOURCE

    public static final int ANY_SOURCE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Rule

    public Rule()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getCategories

    public List<Integer> getCategories()

  - ### setCategories

    public void setCategories(List<Integer> categories)

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public void setNumber(int number)

  - ### getOutPorts

    public List<String> getOutPorts()

  - ### setOutPorts

    public void setOutPorts(List<String> outPorts)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId(int sourceId)

  - ### getToNumber

    public String getToNumber()

  - ### setToNumber

    public void setToNumber(String toNumber)

  - ### getToNumber164

    public String getToNumber164()

  - ### setToNumber164

    public void setToNumber164(String toNumber164)

  - ### getService

    public String getService()

  - ### setService

    public void setService(String service)

  - ### getSource

    public String getSource()

  - ### setSource

    public void setSource(String source)